﻿#region Using directives

using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;

#endregion

namespace ApplicationsSample {

  public class TimedApplicationContext : ApplicationContext {

    Timer timer = new Timer();

    public TimedApplicationContext(Form mainForm) : base(mainForm) {
      timer.Tick += timer_tick;
      timer.Interval = 5000; // 5 seconds
      timer.Enabled = true;
    }

    void timer_tick(object sender, EventArgs e) {
      timer.Enabled = false;
      timer.Dispose();

      DialogResult res = MessageBox.Show("OK to charge your credit card?", "Time's Up!", MessageBoxButtons.YesNo);
      if( res == DialogResult.No ) {
        // See ya...
        base.MainForm.Close();
      }
    }
  }
}
