using System;
using System.Collections.Generic;
using System.Windows.Forms;

using Microsoft.Win32; // Registry

namespace RegistrySample {
  static class Program {
    /// <summary>
    /// The main entry point for the application.
    /// </summary>
    [STAThread]
    static void Main() {
      Application.EnableVisualStyles();
      Application.SetCompatibleTextRenderingDefault(false);


      string key = string.Format(@"Software\{0}\{1}\{2}", Application.CompanyName, Application.ProductName, Application.ProductVersion);

      using( RegistryKey regkey = Registry.CurrentUser.CreateSubKey(key) ) {
        // Manipulate key
      }
      
      Application.Run(new MainForm());
    }
  }
}