﻿#region Using directives

using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;

#endregion

namespace ApplicationsSample {

  public class RemotingServerApplicationContext : ApplicationContext {
    public RemotingServerApplicationContext(Form mainForm) : base(mainForm) { }

    protected override void OnMainFormClosed(object sender, EventArgs e) {
      // Don't let base class exit application
      if( this.IsServicingRemotingClient() ) return;

      // Let base class exit application
      base.OnMainFormClosed(sender, e);
    }

    protected bool IsServicingRemotingClient() {
      return false;
    }
  }
}
