using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace SpecialFoldersSample {
  public partial class SpecialFoldersForm : Form {
    public SpecialFoldersForm() {
      InitializeComponent();
      
      foreach( Environment.SpecialFolder value in Enum.GetValues(typeof(Environment.SpecialFolder)) ) {
        this.specialFoldersListView.Items.Add(
          new ListViewItem( new string[] { value.ToString(), Environment.GetFolderPath(value).Replace(Environment.UserName, "Elvis")}));
      }
    }
  }
}