using System.Web;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Data.SqlClient;
using System.Web.Services;
using System.Web.Services.Protocols;

using NorthwindDataSetWSTableAdapters;

[WebService(Namespace = "http://tempuri.org/")]
[WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1, EmitConformanceClaims = true)]
public class EmployeesService : System.Web.Services.WebService {

  [WebMethod]
  public NorthwindDataSetWS FillEmployees() {
    // Return a Northwind dataset loaded from the database
    EmployeesTableAdapter adp = new EmployeesTableAdapter();
    NorthwindDataSetWS ds = new NorthwindDataSetWS();
    adp.Fill(ds.Employees);
    return ds;
  }
  
  [WebMethod]
  public void UpdateEmployees(NorthwindDataSetWS ds) {
    // Update Northwind database with changes from the dataset
    EmployeesTableAdapter adp = new EmployeesTableAdapter();
    adp.Update(ds);
  }
}