using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Media;

namespace ComponentSurveySample {
  public partial class MainForm : Form {
    public MainForm() {
      InitializeComponent();
    }

    private void commonDialogsButton_Click(object sender, EventArgs e) {
      (new CommonDialogsForm()).ShowDialog();
    }

    private void printingButton_Click(object sender, EventArgs e) {
      (new PrintingForm()).ShowDialog();
    }

    private void userInformationButton_Click(object sender, EventArgs e) {
      (new UserInformationForm()).ShowDialog();
    }

    private void imageListButton_Click(object sender, EventArgs e) {
      (new ImageListForm()).ShowDialog();
    }

    private void soundPlayerButton_Click(object sender, EventArgs e) {
      SoundPlayer soundPlayer = new SoundPlayer(@"C:\WINDOWS\Media\tada.wav");
      soundPlayer.Load();
      soundPlayer.Play();
    }
  }
}