﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Text;

namespace FileDocumentControlLibrary {

  public class SerializeDocumentEventArgs : EventArgs {

    private string filename = null;
    private Stream stream = null;

    public SerializeDocumentEventArgs(string filename, Stream stream) {
      this.filename = filename;
      this.stream = stream;
    }

    public string Filename {
      get { return this.filename; }
    }

    public Stream Stream {
      get { return this.stream; }
    }

    public bool Handled = true;
  }
}
